<mat-tab-group mat-align-tabs="center">
  <mat-tab label="Все активные">
    <mat-form-field>
      <label>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
      </label>
    </mat-form-field>
    <div class="example-table-container">
      <table mat-table [dataSource]="allOrders" matSortDisableClear matSort class="mat-elevation-z8">

        <ng-container matColumnDef="number_order">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Номер заказа</th>
          <td mat-cell *matCellDef="let element"> {{element.number_order}} </td>
        </ng-container>

        <!-- Position Column -->
        <ng-container matColumnDef="timer">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Время с прихода</th>
          <td mat-cell *matCellDef="let element"> {{element.timer}} </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="addressDepart">
          <th mat-header-cell *matHeaderCellDef > Откуда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDepart}} </td>
        </ng-container>

        <ng-container matColumnDef="addressDest">
          <th mat-header-cell *matHeaderCellDef> Куда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDest}} </td>
        </ng-container>

        <!-- Weight Column -->
        <ng-container matColumnDef="driver">
          <th mat-header-cell *matHeaderCellDef > Водитель</th>
          <td mat-cell *matCellDef="let element"> {{element.driver}} </td>
        </ng-container>

        <!-- Symbol Column -->
        <ng-container matColumnDef="phone">
          <th mat-header-cell *matHeaderCellDef> Телефон клиента </th>
          <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
        </ng-container>

        <ng-container matColumnDef="client">
          <th mat-header-cell *matHeaderCellDef > Статус </th>
          <td mat-cell *matCellDef="let element">
          <span *ngIf="element.state === 'WAITING'">Ожидание</span>
          <span *ngIf="element.state === 'TRIP'">В пути</span>
          <span *ngIf="element.state === 'FINDING'">Поиск</span>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.number_order)"></tr>
      </table>

    </div>
    <mat-paginator [length]="allOrders.data.length"
                   [pageSize]="pageSize"
                   [pageSizeOptions]="pageSizeOptions">
    </mat-paginator>
  </mat-tab>
  <mat-tab label="Поиск авто">
    <mat-form-field>
      <label>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
      </label>
    </mat-form-field>
    <div class="example-table-container">
      <table mat-table [dataSource]="findingOrders" matSortDisableClear matSort class="mat-elevation-z8">

        <ng-container matColumnDef="number_order">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Номер заказа</th>
          <td mat-cell *matCellDef="let element"> {{element.number_order}} </td>
        </ng-container>

        <!-- Position Column -->
        <ng-container matColumnDef="timer">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Время с прихода</th>
          <td mat-cell *matCellDef="let element"> {{element.timer}} </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="addressDepart">
          <th mat-header-cell *matHeaderCellDef > Откуда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDepart}} </td>
        </ng-container>

        <ng-container matColumnDef="addressDest">
          <th mat-header-cell *matHeaderCellDef> Куда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDest}} </td>
        </ng-container>

        <!-- Weight Column -->
        <ng-container matColumnDef="driver">
          <th mat-header-cell *matHeaderCellDef > Водитель</th>
          <td mat-cell *matCellDef="let element"> {{element.driver}} </td>
        </ng-container>

        <!-- Symbol Column -->
        <ng-container matColumnDef="phone">
          <th mat-header-cell *matHeaderCellDef> Телефон</th>
          <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
        </ng-container>

        <ng-container matColumnDef="client">
          <th mat-header-cell *matHeaderCellDef > Клиент</th>
          <td mat-cell *matCellDef="let element"> {{element.client}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.number_order)"></tr>
      </table>

    </div>
    <mat-paginator [length]="findingOrders.data.length"
                   [pageSize]="pageSize"
                   [pageSizeOptions]="pageSizeOptions">
    </mat-paginator>
  </mat-tab>
  <mat-tab label="Ожидающие авто">
  <mat-form-field>
    <label>
      <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
    </label>
  </mat-form-field>
  <div class="example-table-container">
    <table mat-table [dataSource]="waitingOrders" matSortDisableClear matSort class="mat-elevation-z8">

      <ng-container matColumnDef="number_order">
        <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Номер заказа</th>
        <td mat-cell *matCellDef="let element"> {{element.number_order}} </td>
      </ng-container>

      <!-- Position Column -->
      <ng-container matColumnDef="timer">
        <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Время с прихода</th>
        <td mat-cell *matCellDef="let element"> {{element.timer}} </td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="addressDepart">
        <th mat-header-cell *matHeaderCellDef > Откуда</th>
        <td mat-cell *matCellDef="let element"> {{element.addressDepart}} </td>
      </ng-container>

      <ng-container matColumnDef="addressDest">
        <th mat-header-cell *matHeaderCellDef> Куда</th>
        <td mat-cell *matCellDef="let element"> {{element.addressDest}} </td>
      </ng-container>

      <!-- Weight Column -->
      <ng-container matColumnDef="driver">
        <th mat-header-cell *matHeaderCellDef > Водитель</th>
        <td mat-cell *matCellDef="let element"> {{element.driver}} </td>
      </ng-container>

      <!-- Symbol Column -->
      <ng-container matColumnDef="phone">
        <th mat-header-cell *matHeaderCellDef> Телефон</th>
        <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
      </ng-container>

      <ng-container matColumnDef="client">
        <th mat-header-cell *matHeaderCellDef > Клиент</th>
        <td mat-cell *matCellDef="let element"> {{element.client}} </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.number_order)"></tr>
    </table>

  </div>
  <mat-paginator [length]="waitingOrders.data.length"
                 [pageSize]="pageSize"
                 [pageSizeOptions]="pageSizeOptions">
  </mat-paginator>
</mat-tab>
  <mat-tab label="В пути">
    <mat-form-field>
      <label>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Поиск">
      </label>
    </mat-form-field>
    <div class="example-table-container">
      <table mat-table [dataSource]="tripOrders" matSortDisableClear matSort class="mat-elevation-z8">

        <ng-container matColumnDef="number_order">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Номер заказа</th>
          <td mat-cell *matCellDef="let element"> {{element.number_order}} </td>
        </ng-container>

        <!-- Position Column -->
        <ng-container matColumnDef="timer">
          <th mat-header-cell *matHeaderCellDef mat-sort-header disableClear> Время с прихода</th>
          <td mat-cell *matCellDef="let element"> {{element.timer}} </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="addressDepart">
          <th mat-header-cell *matHeaderCellDef > Откуда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDepart}} </td>
        </ng-container>

        <ng-container matColumnDef="addressDest">
          <th mat-header-cell *matHeaderCellDef> Куда</th>
          <td mat-cell *matCellDef="let element"> {{element.addressDest}} </td>
        </ng-container>

        <!-- Weight Column -->
        <ng-container matColumnDef="driver">
          <th mat-header-cell *matHeaderCellDef > Водитель</th>
          <td mat-cell *matCellDef="let element"> {{element.driver}} </td>
        </ng-container>

        <!-- Symbol Column -->
        <ng-container matColumnDef="phone">
          <th mat-header-cell *matHeaderCellDef> Телефон</th>
          <td mat-cell *matCellDef="let element"> {{element.phone}} </td>
        </ng-container>

        <ng-container matColumnDef="client">
          <th mat-header-cell *matHeaderCellDef > Клиент</th>
          <td mat-cell *matCellDef="let element"> {{element.client}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row.number_order)"></tr>
      </table>

    </div>
    <mat-paginator [length]="findingOrders.data.length"
                   [pageSize]="pageSize"
                   [pageSizeOptions]="pageSizeOptions">
    </mat-paginator>
  </mat-tab>
</mat-tab-group>
